Bug 1481458 - SELinux is preventing bluetoothd from 'map' accesses on the file /var/lib/bluetooth/00:26:83:16:93:DB/config.
Summary: SELinux is preventing bluetoothd from 'map' accesses on the file /var/lib/blu...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2ef603cfd7adf4280a4b67b7894...
Keywords:
Depends On:
Blocks: 1481454
TreeView+ depends on / blocked
 
Reported: 2017-08-14 23:45 UTC by Adam Williamson
Modified: 2017-10-31 15:36 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-10-31 15:36:09 UTC


Attachments (Terms of Use)

Description Adam Williamson 2017-08-14 23:45:53 UTC
Description of problem:
Happened in normal system use (presumably with bluetoothd enabled, at least, and possibly only with bluetooth devices available) after the 'map' permission was introduced. Again, since the filename is based on the device ID it looks like, there will likely be duplicate reports of this with different device IDs.
SELinux is preventing bluetoothd from 'map' accesses on the file /var/lib/bluetooth/00:26:83:16:93:DB/config.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that bluetoothd should be allowed map access on the config file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'bluetoothd' --raw | audit2allow -M my-bluetoothd
# semodule -X 300 -i my-bluetoothd.pp

Additional Information:
Source Context                system_u:system_r:bluetooth_t:s0
Target Context                system_u:object_r:bluetooth_var_lib_t:s0
Target Objects                /var/lib/bluetooth/00:26:83:16:93:DB/config [ file
                              ]
Source                        bluetoothd
Source Path                   bluetoothd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-270.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.13.0-0.rc4.git4.1.fc27.x86_64 #1
                              SMP Fri Aug 11 15:03:46 UTC 2017 x86_64 x86_64
Alert Count                   4
First Seen                    2017-08-12 17:14:28 PDT
Last Seen                     2017-08-14 09:20:55 PDT
Local ID                      3ac16859-cc1d-43f6-b2fb-4fa77891c57f

Raw Audit Messages
type=AVC msg=audit(1502727655.942:118): avc:  denied  { map } for  pid=1057 comm="bluetoothd" path="/var/lib/bluetooth/00:26:83:16:93:DB/config" dev="dm-2" ino=262259 scontext=system_u:system_r:bluetooth_t:s0 tcontext=system_u:object_r:bluetooth_var_lib_t:s0 tclass=file permissive=1


Hash: bluetoothd,bluetooth_t,bluetooth_var_lib_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-270.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.0-0.rc4.git4.1.fc27.x86_64
type:           libreport

Comment 1 Jan Kurik 2017-08-15 08:46:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Fedora Update System 2017-10-25 10:13:48 UTC
selinux-policy-3.13.1-283.13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 3 Fedora Update System 2017-10-27 18:46:07 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 4 Fedora Update System 2017-10-31 15:36:09 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.